Name:           squidclamav
Version:        7.1
Release:        1%{dist}
Summary:        HTTP Antivirus for Squid based on ClamAV and the ICAP protocol

Group:          System Environment/Daemons
License:        GPLv2+

URL:            http://squidclamav.darold.net/
Source0:        http://downloads.sourceforge.net/project/squidclamav/squidclamav/%{version}/squidclamav-%{version}.tar.gz
Source1:        README.RPM
Patch0:         squidclamav.conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  c-icap-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libarchive-devel
BuildRequires:  bzip2-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
Requires:       c-icap clamav

%description
SquidClamav is an antivirus for the Squid proxy based on the ICAP
protocol and the awards-winning ClamAV anti-virus toolkit. Using it will
help you securing your home or enterprise network web traffic.
SquidClamav is the most efficient antivirus tool for HTTP traffic
available for free, it is written in C as a c-icap service and can
handle several thousands of connections at once.

%prep
%setup -q
cp %{SOURCE1} .
%patch0 -p1 -b .patch0

%build
#aclocal
%configure --enable-static=no
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}/c-icap
%make_install
# the directory currently just contains a README, which is packaged in the
# standard documentation directory: so remove the unneeded directory here
rm -rf %{buildroot}%{_datadir}/%{name}
# looks like squidclamav has the config still hardcoded - create a symlink that allows us to use both path names
ln -s %{_sysconfdir}/c-icap/squidclamav.conf %{buildroot}/%{_sysconfdir}/squidclamav.conf
# Cleanup unwanted files
rm %{buildroot}%{_libdir}/c_icap/*.la
rm %{buildroot}%{_sysconfdir}/c-icap/*.default

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README README.RPM
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/%{name}.conf
%config(noreplace) %{_sysconfdir}/squidclamav.conf
%{_libdir}/c_icap/%{name}.so
%{_libexecdir}/%{name}/*
%{_datadir}/c_icap/templates/squidclamav
%{_mandir}/man1/*

%changelog
* Sat Feb 22 2020 Giuseppe Ragusa <giuseppe.ragusa@fastmail.fmA> 7.1-1
- Update to 7.1
- Applied spec tweaks from latest SUSE Leap 15.2 package
* Mon Jan 23 2017 Danilo Godec <danilo.godec@agenda.si>
- Update to 6.16
* Mon Apr 18 2016 Miguel Armas <kuko@canarytek.com> 6.15-1
- First version

